# GTokenLockedDepositNft

*Receipt NFT for a gToken locked deposits*

## gToken

```solidity
address gToken
```

## design

```solidity
contract IGTokenLockedDepositNftDesign design
```

## designDecimals

```solidity
uint8 designDecimals
```

## constructor

```solidity
constructor(string name, string symbol, address _gToken, contract IGTokenLockedDepositNftDesign _design, uint8 _designDecimals) public
```

## onlyGToken

```solidity
modifier onlyGToken()
```

## onlyGTokenManager

```solidity
modifier onlyGTokenManager()
```

## updateDesign

```solidity
function updateDesign(contract IGTokenLockedDepositNftDesign newValue) external
```

## updateDesignDecimals

```solidity
function updateDesignDecimals(uint8 newValue) external
```

## mint

```solidity
function mint(address to, uint256 tokenId) external
```

## burn

```solidity
function burn(uint256 tokenId) external
```

## tokenURI

```solidity
function tokenURI(uint256 tokenId) public view returns (string)
```

*See {IERC721Metadata-tokenURI}.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/tokens/gtokenlockeddepositnft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
